[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'LMessages' (#lcl)

# TLMMouseEvent

## Declaration

Source position: lmessages.pp line 634

`type TLMMouseEvent = record`
`Msg: Cardinal;` |  |
`WheelDelta: SmallInt;` |  |
`Button: Word;` |  |
`X: SmallInt;` |  |
`Y: SmallInt;` |  |
`Result: LRESULT;` |  |
`UserData: pointer;` |  |
`State: TShiftState;` |  |
`end;`

## Description

Similar to TCMMouseWheel from Delphi. Be very careful when changing because some ported components depend on the similarity.